--vmp3 by mrafenne




open = Image.load("ms0:/PSP/GAME/vmp3v1/images/open.png")
open1 = Image.load("ms0:/PSP/GAME/vmp3v1/images/open1.png")
open2 = Image.load("ms0:/PSP/GAME/vmp3v1/images/open2.png")


System.usbDiskModeActivate()
function debut_fondu(pic)

fader = Image.createEmpty(480,272)

alphaValue = 300
faderColor = Color.new(0,0,0,alphaValue)
fader:clear(faderColor)

while true do
screen:clear()
screen:blit(0,0,pic)
screen:blit(0,0,fader)
if alphaValue > 0 then
alphaValue = alphaValue - 10
else
break
end
faderColor = Color.new(0,0,0,alphaValue)
fader:clear(faderColor)
screen.waitVblankStart()
screen.flip()
end

pic=nil
fader=nil
end




function fin_fondu(pic)

fader = Image.createEmpty(480,272)

alphaValue = 0
faderColor = Color.new(0,0,0,alphaValue)
fader:clear(faderColor)

while true do
screen:clear()
screen:blit(0,0,pic)
screen:blit(0,0,fader)
if alphaValue < 300 then
alphaValue = alphaValue + 10
else
break
end
faderColor = Color.new(0,0,0,alphaValue)
fader:clear(faderColor)
screen.waitVblankStart()
screen.flip()
end

pic=nil
fader=nil
end

debut_fondu(open)

fin_fondu(open)

debut_fondu(open1)

fin_fondu(open1)

debut_fondu(open2)

fin_fondu(open2)

--debut_fondu(open3)

--fin_fondu(open3)

dofile("ms0:/PSP/GAME/vmp3v1/script1.lua")